summaryrefslogtreecommitdiff
path: root/resources/scripts/update/module
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/update/module')
-rwxr-xr-xresources/scripts/update/module/coreboot5
-rwxr-xr-xresources/scripts/update/module/flashrom2
-rwxr-xr-xresources/scripts/update/module/grub2
-rwxr-xr-xresources/scripts/update/module/me_cleaner2
-rwxr-xr-xresources/scripts/update/module/memtest86plus2
-rwxr-xr-xresources/scripts/update/module/seabios2
-rwxr-xr-xresources/scripts/update/module/u-boot11
7 files changed, 14 insertions, 12 deletions
diff --git a/resources/scripts/update/module/coreboot b/resources/scripts/update/module/coreboot
index 75b61a6f..2e78636b 100755
--- a/resources/scripts/update/module/coreboot
+++ b/resources/scripts/update/module/coreboot
@@ -1,9 +1,10 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: download coreboot
#
# Copyright (C) 2014-2016,2020,2021,2023 Leah Rowe <info@minifree.org>
# Copyright (C) 2022 Alper Nebi Yasak <alpernebiyasak@gmail.com>
+# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -86,7 +87,7 @@ fetch_coreboot_config()
check_config_for_board "${_board}" || return 1
# This is to override $cbrevision and $cbtree
- source "${cbcfgsdir}/${_board}/board.cfg" || exit 1
+ . "${cbcfgsdir}/${_board}/board.cfg" || exit 1
if [ "${_board}" != "${cbtree}" ]; then
_board="${cbtree}"
diff --git a/resources/scripts/update/module/flashrom b/resources/scripts/update/module/flashrom
index 6aa3cab4..def33ffb 100755
--- a/resources/scripts/update/module/flashrom
+++ b/resources/scripts/update/module/flashrom
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: downloads flashrom and patches it
#
diff --git a/resources/scripts/update/module/grub b/resources/scripts/update/module/grub
index 0620a775..ff1ce55c 100755
--- a/resources/scripts/update/module/grub
+++ b/resources/scripts/update/module/grub
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: Downloads GRUB and patches it.
#
diff --git a/resources/scripts/update/module/me_cleaner b/resources/scripts/update/module/me_cleaner
index 7dd52be7..93173257 100755
--- a/resources/scripts/update/module/me_cleaner
+++ b/resources/scripts/update/module/me_cleaner
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
#
# Copyright (C) 2020 Leah Rowe <info@minifree.org>
#
diff --git a/resources/scripts/update/module/memtest86plus b/resources/scripts/update/module/memtest86plus
index bceadbd9..e4106f38 100755
--- a/resources/scripts/update/module/memtest86plus
+++ b/resources/scripts/update/module/memtest86plus
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: Downloads MemTest86+ and patches it
#
diff --git a/resources/scripts/update/module/seabios b/resources/scripts/update/module/seabios
index fd72de65..666c32ae 100755
--- a/resources/scripts/update/module/seabios
+++ b/resources/scripts/update/module/seabios
@@ -1,4 +1,4 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
#
# Copyright (C) 2015, 2016, 2021 Leah Rowe <info@minifree.org>
#
diff --git a/resources/scripts/update/module/u-boot b/resources/scripts/update/module/u-boot
index 1af513a4..161608c9 100755
--- a/resources/scripts/update/module/u-boot
+++ b/resources/scripts/update/module/u-boot
@@ -1,9 +1,10 @@
-#!/usr/bin/env bash
+#!/usr/bin/env sh
# helper script: download u-boot
#
# Copyright (C) 2021 Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
# Copyright (C) 2022 Alper Nebi Yasak <alpernebiyasak@gmail.com>
+# Copyright (C) 2022 Ferass El Hafidi <vitali64pmemail@protonmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,7 +23,7 @@
[ "x${DEBUG+set}" = 'xset' ] && set -v
set -u -e
-[[ -f build_error ]] && rm -f build_error
+[ -f build_error ] && rm -f build_error
list_supported_boards() {
for board in resources/u-boot/*; do
@@ -55,7 +56,7 @@ downloadfor() {
fi
# This is to override $ubrevision and $ubtree
- source "resources/u-boot/${board}/board.cfg" || touch build_error
+ . "resources/u-boot/${board}/board.cfg" || touch build_error
if [ -f build_error ]; then
printf "ERROR: %s: problem sourcing %s/board.cfg\n" \
"download/u-boot" "${board}"
@@ -239,10 +240,10 @@ if [ $# -eq 0 ] ; then
download_uboot_board "${board}"
done
exit 0
-elif [ $# -eq 1 -a "$1" == "--help" ] ; then
+elif [ $# -eq 1 ] && [ "$1" = "--help" ] ; then
usage
exit 0
-elif [ $# -eq 1 -a "$1" == "--list-boards" ] ; then
+elif [ $# -eq 1 ] && [ "$1" = "--list-boards" ] ; then
list_supported_boards
exit 0
elif [ $# -eq 1 ] ; then